Skip to content
POST/{organizationId}/{mandateId}/finance/cash/accounts/list

List cash accounts

Returns a list of cash accounts for a given mandate

Required permissions:

  • mandate.read

  • cashAccount.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

sourcestringoptional

Options:

bankpaypalstripe
archivedboolean | nulloptional

Default: false

searchTermstringoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/cash/accounts/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/accounts/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "cashAccounts": [
    {
      "_id": "000000000000000000000001",
      "mandate": "000000000000000000000001",
      "source": "bank",
      "connected": true,
      "name": "string",
      "account": 1,
      "balance": -9007199254740991,
      "unassigned": 0,
      "proposals": 0,
      "synchronizedAt": "2026-06-15T22:30:00Z",
      "archivedAt": "2026-06-15T22:30:00Z",
      "archivedBy": {
        "name": "string",
        "type": "user",
        "userId": "string",
        "image": {
          "resource": "string"
        }
      },
      "batchBooking": true,
      "directDebitSubmissionMethod": "xml",
      "creditTransferSubmissionMethod": "xml"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}